--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: To type check method parameters.
constants: []

full_name: RParsec::TypeChecker
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: check_arg_array_type
- !ruby/object:RI::MethodSummary 
  name: check_arg_type
- !ruby/object:RI::MethodSummary 
  name: check_vararg_type
name: TypeChecker
superclass: 
